public class SurfaceRectangleEnConsole {

///////////////////////////////////////////

/* Calcul de la surface d'un rectangle   */
/* Les coordonnees de deux coins opposes */
/* sont donnees                          */

  static double surfaceRectangle(double x1,
                                 double y1,
                                 double x2,
                                 double y2) {
    double surface;
    surface = Math.abs(x2-x1)*Math.abs(y2-y1);
    return surface;
  }

///////////////////////////////////////////

/* Programme principal                   */

  public static void main(String [] args) {
    Console.setTitle("SurfaceRectangle");
    double px1;
    double py1;
    double px2;
    double py2;
    double srf;
    Console.afficher("SVP, coordonnees p1: ");
    px1 = Console.saisirDouble();
    py1 = Console.saisirDouble();
    Console.afficher("SVP, coordonnees p2: ");
    px2 = Console.saisirDouble();
    py2 = Console.saisirDouble();
    srf = surfaceRectangle(px1,py1,px2,py2);
    Console.afficherln("La surface est ",srf);
  }
}